#include <sqlite3.h>
#include <libsqlitewrapped.h>

int main()
{
	Database db("tutorial.db");
	if (!db.Connected())
	{
		printf("Database not connected - exiting\n");
		exit(-1);
	}
	Query q(db);
	std::string name = q.get_string("select name from player where num=1");
	long num = q.get_count("select num from player where name='Grymse'");
	
	printf("The name of player#1 is '%s'\n", name.c_str());
	printf("The number of 'Grymse' is %ld\n", num);
}

