#include <mysql/mysql.h>
#include <libmysqlwrapped.h>
#include <libtutorialdb_m.h>

int main()
{
	StderrLog log;
	Database db("tutorial.db", &log); // sqlite3 specific

	// create empty object
	db::Player empty(&db);

	// spawn using sql statement
	db::Player anders(&db, "select * from player where name='Anders'");

	// spawn using primary key
	db::Player grymse(db, 2);

	// spawn using unique index
	db::Player lorangrym(db, "Lorangrym");
}

