CREATE TABLE player (
	num integer auto_increment not null,
	name varchar(100) default '' not null,
	primary key(num),
	unique(name)
);

CREATE TABLE resource (
	num integer auto_increment not null,
	name varchar(100) default '' not null,
	primary key(num),
	unique(name)
);

CREATE TABLE playerresource (
	player integer default 0 not null,
	resource integer default 0 not null,
	amount integer default 0,
	primary key(player, resource)
);

